pub mod config;
pub mod cull;
pub mod import;
pub mod init;

use clap::{Parser, Subcommand};
use import::Import;

#[derive(Parser)]
#[command(author, version, about, long_about = None)]
pub struct Cli {
    #[command(subcommand)]
    pub command: Commands,

    /// Set verbosity
    #[arg(short, long, action = clap::ArgAction::Count)]
    pub verbose: u8,
}

#[derive(Subcommand)]
pub enum Commands {
    /// Configure archive
    Config,

    /// Cull images
    Cull,

    /// Initialize a new archive
    Init,

    /// Create, list, finalize, or work with an import
    Import(Import),
}
