use anyhow::{Context, Result};

use std::path::PathBuf;

use crate::archive::Archive;
use crate::config::{Config, RELATIVE_CONFIG_FILE};

/// Crude function to dump config to default location.
pub fn run() -> Result<()> {
    let mut config_path: PathBuf = Archive::get_root().context("Archive not found")?.to_owned();
    config_path.push(RELATIVE_CONFIG_FILE);
    if config_path.exists() {
        println!("Config already exists. Cannot write default config.");
        Ok(())
    } else {
        Config::dump_default(&config_path).context("Unable to write default config")?;
        Ok(())
    }
}
