/// Provides all functionality to activate an import.
use crate::archive::Archive;

use anyhow::{bail, Result};

/// Activates an import
pub fn activate(archive: Archive, import_name: String) -> Result<()> {
    if archive.is_dirty()? {
        bail!("Archive is dirty. Activate not possible");
    }

    let import_branch_name = format!(
        "{}{}",
        &archive.config.general.import_branch_prefix, import_name
    );

    archive.switch_branch(&import_branch_name)?;

    println!("Active import is {}", import_name);
    Ok(())
}
