/// Provides all functionality to deactivate an import.
use crate::archive::Archive;

use anyhow::{bail, Result};

/// Go back to the main branch
pub fn deactivate(archive: Archive) -> Result<()> {
    if archive.is_dirty()? {
        bail!("Archive is dirty. Deactivate not possible");
    }

    archive.switch_branch(&archive.config.general.main_branch)?;
    Ok(())
}
