// Testing fixtures and other things

use rand::distributions::{Alphanumeric, DistString};
use rand::thread_rng;
use rstest::fixture;
use std::fs;
use std::path::PathBuf;
use testdir::testdir;

#[fixture]
/// Return path to a temporary test directory
pub fn tmp_dir() -> PathBuf {
    let mut path = testdir!();
    path.push(format!(
        "dir_{}",
        Alphanumeric.sample_string(&mut thread_rng(), 8)
    ));
    fs::create_dir_all(&path)
        .unwrap_or_else(|_| panic!("Failed to create tmpdir {}", path.display()));
    path
}

#[fixture]
/// Return path to a temporary test file
pub fn tmp_file() -> PathBuf {
    let mut path = tmp_dir();
    path.push(format!(
        "file_{}",
        Alphanumeric.sample_string(&mut thread_rng(), 8)
    ));
    fs::File::create(&path)
        .unwrap_or_else(|_| panic!("Failed to create tmpfile {}", path.display()));
    path
}
